POST/autopay/session/{requestId}

Query an AutoPay session

This endpoint allows you to retrieve the session information. If there are transactions within the session, their details will be displayed.

Params

  • Name
    requestId
    Type
    requestId
    is Required
    REQUIRED
    Description

    Identifier of the session request to be consulted.


Request

  • Name
    auth
    Type
    Authentication
    is Required
    REQUIRED
    Description

    Structure containing the site authentication information generated according to the WSSE UsernameToken Profile 1.1. See more at Authentication.

Request

POST
/autopay/session/{requestId}
curl -X "POST" {{baseURL}}/autopay/session/000000 \
  -H "Content-Type: application/json" \
  -d '{
      "auth": {
        "login": "aabbccdd1234567890aabbccdd123456",
        "tranKey": "ABC123example456trankey+789abc012def3456ABC=",
        "nonce": "NjE0OWVkODgwYjNhNw==",
        "seed": "2021-09-21T09:34:48-05:00"
      }
    }'

Response

Success response

  • Name
    status
    Type
    Status
    is Required
    REQUIRED
    Description

    Structure used to define response statuses.

  • Name
    requestId
    Type
    string
    is optional
    Description

    Request identifier.

    Example:1
  • Name
    request
    Type
    object
    is optional
    Description

    Contains the information used to create/update the autopay session request.

  • Name
    autopay
    Type
    is optional
    Description

    Structure containing information about the attempts to create or update an autopay within the same session.

  • Name
    payment
    Type
    array[Transaction]
    is optional
    Description

    Structure containing the information of the registered transaction. For autopays, this value is null.

  • Name
    subscription
    Type
    SubscriptionResponse
    is optional
    Description

    Structure that contains information for the subscription payment method. For autopays, this value is null.


Response

POST
/autopay/session/{requestId}
{
  "status": {
    "status": "APPROVED",
    "reason": "00",
    "message": "The request has been successfully approved",
    "date": "2022-07-27T14:51:27-05:00"
  },
  "requestId": 100,
  "request": {
    "locale": "es_CO",
    "payer": {
      "document": "111111111",
      "documentType": "CC",
      "name": "Antonino",
      "surname": "Pan y queso",
      "email": "[email protected]",
      "mobile": "+573111111111"
    },
    "type": "autopay",
    "autopay": {
      "action": "CREATE",
      "reference": "12345",
      "description": "Fixed amount autopay subscription",
      "recurring": {
        "type": "FIXED",
        "periodicity": "M",
        "interval": "1",
        "maxPeriods": 12,
        "startDate": "2026-11-26",
        "nextPayment": "2026-12-05",
        "dueDate": "2027-11-26",
        "notificationUrl": "https://merchant.test/notification",
      },
      "dueDay": 15,
      "amount": {
        "currency": "USD",
        "total": 100
      }
    },
    "fields": [
      {
        "keyword": "customerAccountNumber",
        "value": "112233",
        "displayOn": "none"
      }
    ],
    "returnUrl": "https://mysite.com/response/32120",
    "ipAddress": "127.0.0.1",
    "userAgent": "Placetopay Sandbox",
    "expiration": "2023-03-09T23:28:43.775Z"
  },
  "autopay": [
    {
      "status": {
          "status": "APPROVED",
          "reason": "00",
          "date":"2023-06-21T09:56:06-05:00"
      },
      "siteId": "100200300",
      "id": "328eb09a-363f-48a6-a16e-51c5a58b89ec",
      "buyer": null,
      "payer": {
        "document": "111111111",
        "documentType": "CC",
        "name": "Antonino",
        "surname": "Pan y queso",
        "email": "[email protected]",
        "mobile": "+573111111111"
      },
      "subscription": {
        "reference": "12345",
        "description": "Fixed amount autopay subscription",
        "amount": {
          "currency": "USD",
          "total": 100
        },
        "recurring": {
          "type": "FIXED",
          "periodicity": "M",
          "interval": "1",
          "maxPeriods": 12,
          "startDate": "2026-11-26",
          "nextPayment": "2026-12-05",
          "dueDate": "2027-11-26",
          "notificationUrl": "https://merchant.test/notification",
        },
      },
      "instrument": {
        "token": {
          "token": "faketoken12f233bd8f5d42138d681bf07ea8295429df07a4af287703e30c891",
          "subtoken": "fakesubtoken00000",
          "franchise": "master",
          "franchiseName": "Mastercard",
          "lastDigits": "0000",
          "validUntil": "2018-12-31"
        }
      },
      "additional": {
        "customerAccountNumber": "1232312323",
        "dueDay": "25",
      },
      "acceptedAt": "2021-09-24T10:02:17-05:00"
    },
  ],
  "payment": null,
  "subscription": null,
}